Name:           mailserver.guru
Version:        7
Release:        1
Summary:        Extra (Mailserver-)Packages for CentOS 7 repository configuration

Group:          System Environment/Base
License:        GPLv2

Packager:       Django <django@mailserver.guru>
Distribution:   CentOS 7
Vendor:         django, http://dokuwiki.nausch.org/

URL:            http://repository.nausch.org/public/mailserver.guru/
Source0:        http://http://repository.nausch.org/public/mailserver.guru/7/MAILSERVER.GURU-RPM-GPG-KEY-CentOS-7
Source1:        GPL
Source2:        mailserver.guru.repo

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:     noarch
Requires:      redhat-release >=  %{version}

%description
This package contains the Extra (Mailserver-)Packages for CentOS 7 repository
GPG key as well as configuration for yum and up2date.

%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} .

%build


%install
rm -rf $RPM_BUILD_ROOT

#GPG Key
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/MAILSERVER.GURU-RPM-GPG-KEY-CentOS-7

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
# Not needed for el7 as sources has been removed
#echo "# epel repo -- added by epel-release " \
#    >> %{_sysconfdir}/sysconfig/rhn/sources
#echo "yum epel http://download.fedora.redhat.com/pub/epel/%{version}/\$ARCH" \
#    >> %{_sysconfdir}/sysconfig/rhn/sources

%postun
#sed -i '/^yum\ epel/d' %{_sysconfdir}/sysconfig/rhn/sources
#sed -i '/^\#\ epel\ repo\ /d' %{_sysconfdir}/sysconfig/rhn/sources

%files
%defattr(-,root,root,-)
#%doc GPL
%config(noreplace) /etc/yum.repos.d/*
/etc/pki/rpm-gpg/*

%changelog
* Mon Jul 21 2014 Django <django@mailserver.guru> - 7-0
- initial release for CentOS 7
